<?php 
session_start();
$putilizador = $_SESSION['utilizador'];
$psenha = $_SESSION['senha'];
$pTipoUtilizador = $_SESSION['tipoUtilizador'];
if ($pTipoUtilizador=="anonymous" || $pTipoUtilizador=="regular") { // separa por tipo de utilizador
  require('headersubUsers.inc');
  require('menusubUsers.inc');
  echo "<meta http-equiv='refresh' content='0; url=../users.php' />";
  exit;  // os anonimos não têem acesso a esta página
}
else {
  require('headersubAdmins.inc');
  require('menusubAdmins.inc');
}
?>


<hr/>



<?php
require('loginsub.php');
?>


<center>
<h3 class="maketitle">Geometric theorems insert + Proof</h3>
</center>

<hr/>

<?php
$argumento = $_GET['argumento'];

// cria uma pesquisa
$sql = "SELECT teoId,teoName,category,description,dateSubmission,
               bibref,userId
          FROM theorems
         WHERE teoId='$argumento'";

$resultado = mysql_query($sql,$ligacao);

$ncampos =mysql_num_fields($resultado);


$linha = mysql_fetch_assoc($resultado);

$pTeoId          = $linha['teoId'];
$pTeoName        = $linha['teoName'];
$pTeoBibRef      = $linha['bibref'];
$pCategory       = $linha['category'];
$pDateSubmission = $linha['dateSubmission'];
$pDescription    = $linha['description'];
$pUserId         = $linha['userId'];


// Vai buscar a restante informação referente ao utilizador
$sqlUser = "SELECT userId,name,email
              FROM users
             WHERE userId='$pUserId'";

$resultadoUser = mysql_query($sqlUser,$ligacao);

$linhaUser = mysql_fetch_assoc($resultadoUser);

$pUserName         = $linhaUser['name'];
$pUserEmail         = $linhaUser['email'];

// A parte em que se mostra a informação já introduzida
echo "<!-- ficha -->";
echo "<table width='100%' bgcolor='white' cellpadding='4' cellspacing='4'>";
echo "<tr>";
echo "<td width='100%' colspan='8' align='center'>Geometric Theorem Info</td>";
echo "</tr>";
echo "<tr>";
echo "<td align='left' width='25%' colspan='2'><span class='ficha'>Name of the Theorem</span></td>";
echo "<td width='50%' colspan='4'>$pTeoName</td>";
echo "<td align='left' width='12.5%' colspan='1'><span class='ficha'>Theorem's Id</span></td>";
echo "<td width='12.5%' colspan='1'>$pTeoId</td>";
echo "</tr>";
echo "<tr>";
echo "<td width='25%' colspan='2'><span class='ficha'>Contributor's Name</span></td>";
echo "<td width='37.5%' colspan='3'>$pUserName</td>";
echo "<td width='12.5%' colspan='1'><span class='ficha'>Email</span></td>";
echo "<td width='25%' colspan='2'>$pUserEmail</td>";
echo "</tr>";
echo "<tr>";
echo "<td width='25%' colspan='2'><span class='ficha'>Bibliographic Reference</span></td>";
echo "<td width='75%' colspan='6'>$pTeoBibRef</td>";
echo "</tr>";
echo "<tr>";
echo "<td width='25%' colspan='2'><span class='ficha'>Category</span> </td>";
echo "<td width='25%' colspan='2'>$pCategory</td>"; 
echo "<td width='25%' colspan='2'><span class='ficha'>Date of Submission</span></td>";
echo "<td width='25%' colspan='2'>$pDateSubmission</td>"; 
echo "</tr>";
echo "<tr>";
echo "<td width='25%' colspan='2'><span class='ficha'>Description (LaTeX code)</span></td>";
echo "<td width='75%' colspan='6'>$pDescription</td>";
echo "</tr>  ";
//
// Inserção da Prova (só)
//
//
echo "<form action='iInsertPrfGeoThm.php' method='post'>";
echo "<tr>";
echo "<td align='left' width='12.5%'><span class='ficha'>Prover Id</span></td>";
// select a Prover form a list of Provers
$sql_prover_idnameversion = "SELECT proverId,name,version
                               FROM provers
                              WHERE NOT(name='No prover selected')
                           ORDER BY proverId";
$resultado_prover_idnameversion = mysql_query($sql_prover_idnameversion,$ligacao);
echo "<td width='32.5%' colspan='3'><span class='entrada'><SELECT NAME='PrvIdNameVersion'>";
while ($linha = mysql_fetch_assoc($resultado_prover_idnameversion)){
  $pProverId=trim($linha['proverId']);
  $pProverName=trim($linha['name']);
  $pProverVersion=trim($linha['version']);
  print "<option>$pProverId -- $pProverName -- $pProverVersion</option>\n"; 
 };
// select a bibref form a list of bibrefs - for the proof
echo "<td width='32.5%' colspan='3'>Bibliographic Reference</td>"; 
$sql_bibrefId = "SELECT bibrefId
                   FROM bibrefs
               ORDER BY bibrefId";
$resultado_bibrefId = mysql_query($sql_bibrefId,$ligacao);
echo "<td width='12.5%'><span class='entrada'><SELECT NAME='BibrefPrv'>";
while ($linha_bibrefId = mysql_fetch_assoc($resultado_bibrefId)){
  $pBibrefId=trim($linha_bibrefId['bibrefId']);
  if ($pBibrefId==$pTeoBibRef)
    print "<option selected>$pBibrefId</option>\n";
  else
    print "<option>$pBibrefId</option>\n"; 
 };
echo "</SELECT>";
echo "</td>"; 
echo "</tr>";
echo "<tr>";
echo "<td width='12.5%' colspan='1'><span class='ficha'>Code</span></td>";
echo "<td width='87.5%' colspan='7'><TEXTAREA NAME='CodePrv' ROWS='10' COLS='120'> </TEXTAREA></td>";
echo "</tr>";
//
// Informação comum a todas as entidades
//
// A data de submissão é a mesma
echo "<input type='hidden' name='DateSubmission' value=$pDateSubmission></td>";
// O utilizador é o mesmo
echo "<input type='hidden' name='UserId' value=$pUserId></td>";
// A informação acerca do Teorema
echo "<input type='hidden' name='TeoId' value=$pTeoId></td>";
// Botão de submissão
echo "<tr>";
echo "<td width='100%' colspan='8' align='center'><input type='submit' value='&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;insert info &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'></td>";
echo "</tr>  ";
echo "</form>";
echo "</table>";
?>

<hr/>

<?php
  require('footer.inc');
?>
